@import "../base/variable.scss";
@import "../base/mixins.scss";

.el_modal {
    z-index: 99995;

    .modal-dialog {
        width: 700px;
        max-width: 96%;

        .modal-content {
            border: 0;
            border-radius: 0;
            padding: 40px;
            box-shadow: none;
            background-color: $white;
            border-radius: 20px;
            box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;

            .modal-header {
                margin: 0;
                padding: 0;
                padding-top: 20px;
                padding-bottom: 20px;
                border: 0;

                h5 {
                    padding-bottom: 0;
                }

                .modal-title {
                    color: $black;
                    font-weight: 600;
                    font-size: 24px;
                }

                .btn-close {
                    color: $black;
                    background: none;
                    opacity: 1;
                    font-size: 24px;
                    margin: 0;
                    padding: 0;
                    height: 20px;
                    width: 20px;
                    line-height: 20px;
                    border-radius: 20px;
                    box-shadow: none;
                    text-decoration: none;
                    outline: none;
                }
            }

            .modal-body {
                margin: 0;
                padding: 0px 0px;
                border: 0;

                &.poll {
                    .form-body {
                        [class*="col-"] {
                            &:last-child {
                                .form-group {
                                    border-bottom: 0;
                                }
                            }
                        }
                    }

                    .form-body {
                        .form-group {
                            border-bottom: 1px solid $border-light;

                            .form-control {
                                background-color: transparent;
                                padding-bottom: 20px;
                                padding-left: 0;
                                border-radius: 0;
                            }
                        }
                    }
                }

                .form-body {
                    .form-group {
                        margin-bottom: 15px;

                        label {
                            &.el_label {
                                width: 100%;
                                display: block;
                                color: $black;
                                font-weight: 500;
                                padding-bottom: 10px;
                            }

                            &.error {
                                display: block;
                                width: 100%;
                                color: $primary_color;
                            }
                        }

                        textarea {
                            height: auto !important;
                        }

                        .form-control {
                            height: 48px;
                            border-radius: 20px;
                            background-color: $form-input;

                            &.form-textarea {
                                height: auto;
                            }

                        }

                        .file-upload {
                            width: 100%;
                            border: 1px solid;
                            border-color: #757575;
                            border-style: dashed;
                            text-align: center;
                            border-radius: 20px;
                            margin-bottom: 30px;
                            padding: 20px;

                            label {
                                &.file-input {
                                    width: 100%;
                                    color: $black;
                                    height: 140px;
                                    padding-top: 40px;
                                    cursor: pointer;

                                    p {
                                        padding-top: 15px;
                                        display: block;
                                        color: $black;

                                        span {
                                            color: $primary_color;
                                        }
                                    }
                                }
                            }
                        }

                        .file-upload-btn {
                            width: auto;
                            background-color: $primary_color;
                            color: $black;
                            padding: 15px 25px;
                            display: inline-block;
                            cursor: pointer;

                            label {
                                cursor: pointer;
                            }
                        }

                        .icon {
                            position: absolute;
                            top: 0;
                            right: 0;
                            color: $black;
                            font-size: 20px;
                            margin-top: 10px;
                            margin-right: 10px;
                            z-index: 99;
                        }

                        .custom-control-radio {
                            label {
                                padding-right: 20px;
                            }
                        }

                        .show-section {
                            padding: 20px;
                            position: relative;

                            .single-image {
                                a {
                                    text-align: center;
                                    position: absolute;
                                    left: 0;
                                    right: 0;
                                    top: 45%;
                                    background-color: $primary_color;
                                    width: 33px;
                                    height: 33px;
                                    line-height: 33px;
                                    color: $white;
                                    border-radius: 50%;
                                    margin: 0 auto;
                                }

                                img,
                                video,
                                iframe {
                                    object-fit: cover;
                                    width: 230px;
                                    max-width: 100%;
                                }
                            }
                        }
                    }
                }
            }

            .modal-footer {
                margin: 0;
                padding: 0px 0px 20px 0px;
                border: 0;
                display: block;
                @include clearfix();

                .left_btn {
                    float: left;
                    margin: 0;
                }

                .right_btn {
                    margin: 0;
                    float: right;
                }

                .btn {
                    width: 160px;
                    height: 46px;
                    margin: 0;
                    padding: 0;
                    text-align: center;
                    line-height: 46px;
                }
            }
        }
    }

    &.uploadFile {
        .modal-dialog {
            width: 670px;
            max-width: 96%;
        }
    }

    &.menu_category {
        .modal-dialog {
            .modal-content {
                .modal-header {
                    padding: 25px 30px 20px 30px;
                    margin-bottom: 30px;
                }
            }
        }

        &.add_menu_modal {
            .modal-dialog {
                .modal-content {
                    .modal-footer {
                        margin-top: 100px;
                    }
                }
            }
        }
    }

    &.booking_view_modal {
        .modal-dialog {
            width: 550px;
            max-width: 96%;

            .modal-content {
                .modal-header {
                    .modal-title {
                        font-size: 30px;
                    }

                    .btn-close {
                        margin-top: -55px;
                        margin-right: -15px;
                    }
                }

                .modal-body {
                    .booking_view_body {
                        padding-bottom: 50px;

                        .bview_area {
                            color: $white;
                            padding-top: 25px;

                            &.booking_vleft {
                                border-right: 1px solid $black;
                            }

                            h6 {
                                padding-bottom: 25px;
                                font-size: 18px;
                                font-weight: 400;
                            }

                            ul {
                                li {
                                    padding: 3px 0px;
                                    font-size: 13px;
                                }
                            }
                        }
                    }
                }

                .modal-footer {
                    .left_btn {
                        float: unset;

                        .btn {
                            width: 100%;
                            text-align: center;
                        }
                    }
                }
            }
        }
    }

    &.membership_plan {
        .modal-dialog {
            width: 550px;
            max-width: 96%;

            .modal-content {
                position: relative;

                .plan_gb {
                    position: absolute;
                    color: #ffffff;
                    height: 65px;
                    font-size: 24px;
                    font-weight: 600;
                    padding: 10px;
                    top: -5px;
                    left: 40px;
                    line-height: 45px;
                    text-align: center;
                    width: 210px;
                    background-color: #D2050A;
                    border-radius: 5px 5px 30px 30px;
                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                }

                .modal-header {
                    .modal-title {
                        font-size: 30px;
                    }

                    .btn-close {
                        background-color: $input;
                        height: 50px;
                        width: 50px;
                        border-radius: 20px;
                        margin-top: -8px;
                        margin-right: -8px;
                    }
                }

                .modal-body {
                    .items_detail_area {
                        .item {
                            .plans_ment {
                                padding-top: 0px;
                                padding-left: 10px;
                                padding-right: 10px;

                                .desp {
                                    p {
                                        color: $offfspra2;
                                        padding-top: 15px;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }

                                .detail_area {
                                    p {
                                        color: $offfspra2;
                                        padding-top: 15px;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }

                                p {
                                    color: $offfspra2;
                                    padding-top: 15px;
                                    font-size: 16px;
                                    font-weight: 500;
                                }

                                .pice {
                                    padding: 20px 0;

                                    h2 {
                                        position: relative;
                                        font-size: 48px;
                                        color: $primary_color;
                                    }

                                    p {
                                        position: absolute;
                                        color: $offfspra2;
                                        padding-top: 10px;
                                        font-size: 16px;
                                        font-weight: 600;
                                        left: 0;
                                        bottom: 0;
                                        left: 90px;
                                        bottom: 6px;

                                    }
                                }
                            }
                        }
                    }
                }

                .modal-footer {
                    padding-bottom: 0px;

                    .view {
                        float: right;
                        padding-top: 20px;
                    }
                }
            }
        }
    }

    &.actived {
        .modal-dialog {
            width: 450px;

            .modal-content {
                .image {
                    margin-top: -40px;

                    img {
                        background-color: $red;
                        padding: 19px 45px;
                        border-bottom-left-radius: 20px;
                        border-bottom-right-radius: 20px;
                    }
                }

                .modal-body {
                    .inform_area {
                        p {
                            font-size: 18px;
                            text-align: center;
                        }
                    }
                }

                .modal-footer {
                    .view {
                        text-align: center;
                        padding-top: 40px;
                    }

                }
            }
        }
    }

    &.change_home {
        padding-top: 80px;

        .modal-dialog {
            width: 700px;

            .modal-content {
                .modal-header {
                    h5 {
                        font-size: 38px;
                        font-weight: 700;
                        color: $primary_color;
                    }

                    .btn-close {
                        background-color: $input;
                        height: 50px;
                        width: 50px;
                        border-radius: 20px;
                        margin-top: -8px;
                        margin-right: -8px;
                    }
                }

                .modal-body {
                    .credit_detail {
                        .form-group {
                            padding-top: 20px;
                            padding-left: 0px;

                            .form-control {
                                background-color: $input;
                                border-radius: 15px;
                                height: 50px;
                                font-size: 16px;
                                padding-right: 20px;
                            }

                            label {
                                // margin-left: 15px;
                                color: $black;
                                font-size: 16px;
                                font-weight: 500;
                                padding-bottom: 15px;
                            }

                            .form_icon {
                                position: relative;

                                .icon_area {
                                    position: absolute;
                                    right: 0;
                                    top: 0;
                                    padding-top: 14px;
                                    padding-right: 34px;

                                    i {
                                        font-size: 22px;
                                    }
                                }
                            }


                            p {
                                margin-left: 15px;
                                color: $offfspra2;
                                font-size: 16px;
                                padding-top: 20px;
                                font-weight: 500;

                            }
                        }
                    }
                }

                .modal-footer {
                    .view {
                        text-align: center;
                        padding-top: 30px;

                        a {

                            &.btn-primary-1 {
                                width: 160px;
                                height: 55px;
                                line-height: 56px;
                            }
                        }

                    }
                }
            }
        }
    }

    &.membership_planss {
        .modal-dialog {
            width: 550px;
            max-width: 96%; 

            .modal-content {
                position: relative;

                .plan_gb {
                    position: absolute;
                    color: #ffffff;
                    height: 65px;
                    font-size: 24px;
                    font-weight: 600;
                    padding: 10px;
                    top: -5px;
                    left: 40px;
                    line-height: 45px;
                    text-align: center;
                    width: 210px;
                    background-color: #D2050A;
                    border-radius: 5px 5px 30px 30px;
                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                }

                .modal-header {
                    .modal-title {
                        font-size: 30px;
                    }

                    .btn-close {
                        background-color: $input;
                        height: 50px;
                        width: 50px;
                        border-radius: 20px;
                        margin-top: -8px;
                        margin-right: -8px;
                    }
                }

                .modal-body {
                    .items_detail_area {
                        .item {
                            .plans_ment {
                                padding-top: 0px;
                                padding-left: 10px;
                                padding-right: 10px;

                                .desp {
                                    p {
                                        color: $offfspra2;
                                        padding-top: 15px;
                                        font-size: 16px;
                                        font-weight: 500;
                                    }
                                }
                                h5 {
                                    color: $offfspra2;
                                    font-size: 16px;
                                    font-weight: 500;
                                    border-bottom: 1px solid $border_line;
                                    padding-bottom: 40px;
                                }

                                .pice {
                                    padding-top: 20px;
                                    padding-bottom: 10px;

                                    h2 {
                                        position: relative;
                                        font-size: 48px;
                                        color: $primary_color;
                                    }

                                    p {
                                        position: absolute;
                                        color: $offfspra2;
                                        padding-top: 10px;
                                        font-size: 16px;
                                        font-weight: 600;
                                        left: 0;
                                        bottom: 0;
                                        left: 90px;
                                        bottom: 6px;
                                    }
                                }
                                h4 {
                                    color: $primary_color;
                                    padding-top: 40px;
                                    font-size: 24px;
                                    font-weight: 600;
                                    a{
                                        i{
                                            color: $primary-color;
                                        }
                                    }
                                }
                                .detail_area {
                                    padding-top: 30px;
                                    .form-group{
                                        label{
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                        .form-control{
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                        p{
                                            font-size:14px;
                                            font-weight: 500;
                                            color: $offfspra2;
                                            padding-bottom: 15px;
                                        }
                                        .form-select{
                                            background-color: #F2F2F2;
                                            font-size: 14px;
                                            position: relative;
                                            background-image: url(../images/Icon.png);
                                            background-size: 15px;
                                            background-repeat: no-repeat;
                                            padding-left: 28px;
                                            border-radius: 15px;
                                            font-weight: 500;
                                        }
                                    }
                                    .button{
                                        margin: 0 auto;
                                        text-align: center;
                                        padding: 15px 0px;
                                    }
                                    h6{
                                        color: $offfspra2;
                                        font-size: 14px;
                                        font-weight: 500;
                                        padding: 17px 0px;
                                        margin: 0 auto;
                                        text-align: center;
                                    }
                                    .optional_part{
                                        margin: 0 auto;
                                            text-align: center;
                                        a{
                                            color: $primary-color;
                                            font-size: 14px;
                                            font-weight: 500;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}











/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .el_modal {
        &.menu_category {
            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 40px;
                        }
                    }
                }
            }
        }

        &.change_home {
            padding-top: 130px;

            .modal-dialog {
                width: 560px;

                .modal-content {
                    padding: 22px;
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .el_modal {
        &.menu_category {
            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 70px;
                        }
                    }
                }
            }
        }

        &.change_home {
            padding-top: 120px;

            .modal-dialog {
                width: 525px;

                .modal-content {
                    padding: 22px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .el_modal {
        &.menu_category {
            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 30px;
                        }
                    }
                }
            }
        }

        &.change_home {
            padding-top: 120px;

            .modal-dialog {
                width: 525px;

                .modal-content {
                    padding: 22px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .el_modal {
        .modal-dialog {
            width: auto;

            .modal-content {
                padding: 10px;

                .modal-header {
                    padding: 15px;
                }

                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }

                .modal-footer {
                    padding: 0px 15px 15px 15px;

                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }

        &.uploadFile {
            .modal-dialog {
                width: auto;
            }
        }

        &.menu_category {
            .modal-dialog {
                .modal-content {
                    .modal-header {
                        padding: 15px;
                        margin-bottom: 15px;
                    }
                }
            }

            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 30px;
                        }
                    }
                }
            }
        }

        &.booking_view_modal {
            .modal-dialog {
                width: 100%;

                .modal-content {
                    .modal-header {
                        .modal-title {
                            font-size: 20px;
                        }

                        .btn-close {
                            margin-top: -20px;
                            margin-right: -5px;
                        }
                    }

                    .modal-body {
                        .booking_view_body {
                            padding-bottom: 50px;

                            .bview_area {
                                padding-top: 20px;

                                &.booking_vleft {
                                    border-right: 0px;
                                    margin-bottom: 10px;
                                }

                                h6 {
                                    padding-bottom: 20px;
                                }
                            }
                        }
                    }
                }
            }
        }

        &.membership_plan {
            .modal-dialog {
                .modal-content {
                    .modal-body {
                        .items_detail_area {
                            .item {
                                .plans_ment {
                                    .desp {
                                        p {
                                            padding-top: 40px;
                                            font-size: 14px;
                                        }
                                    }

                                    .detail_area {
                                        p {
                                            font-size: 14px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        &.actived {
            .modal-dialog {
                width: 450px;

                .modal-content {
                    .image {
                        margin-top: -11px;

                        img {
                            background-color: $red;
                            padding: 10px 23px;
                        }
                    }
                }
            }
        }

        &.change_home {
            padding-top: 130px;

            .modal-dialog {
                width: 560px;

                .modal-content {
                    padding: 0px;

                    .modal-header {
                        h5 {
                            font-size: 22px;

                        }

                        .btn-close {
                            height: 40px;
                            width: 40px;
                            font-size: 20px;
                        }
                    }

                    .modal-body {
                        .credit_detail {
                            .form-group {
                                padding-top: 10px;
                                padding-left: 0px;

                                .form-control {

                                    font-size: 14px;
                                    padding-right: 10px;
                                }

                                label {
                                    font-size: 14px;
                                    padding-bottom: 10px;
                                }

                                .form_icon {

                                    .icon_area {

                                        padding-top: 14px;
                                        padding-right: 24px;

                                        i {
                                            font-size: 18px;
                                        }
                                    }
                                }


                                p {
                                    margin-left: 10px;
                                    font-size: 14px;
                                    padding-top: 10px;
                                }
                            }
                        }
                    }

                    .modal-footer {
                        .view {
                            padding-top: 20px;

                            a {
                                &.btn-primary-1 {
                                    width: 160px;
                                    height: 55px;
                                    line-height: 56px;
                                }
                            }

                        }
                    }
                }
            }
        }
        &.membership_planss {
            .modal-dialog {
                .modal-content {
                    .modal-header{
                        .btn-close{
                            margin-top: -20px;
                            margin-right: -20px;
                        }
                    }
                    .modal-body {
                        .items_detail_area {
                            .item {
                                .plans_ment {
                                    .desp {
                                        p {
                                            padding-top: 40px;
                                            font-size: 14px;
                                        }
                                    }
                                    h5{
                                        padding-bottom: 18px;
                                    }
                                    h4{
                                        padding-top: 18px;
                                        font-size: 19px;
                                    }
                                    .detail_area {
                                        padding-top: 10px;
                                        .button{
                                            padding: 6px 0px;
                                        }
                                        h6{
                                            padding: 10px 0px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .el_modal {
        .modal-dialog {
            width: auto;

            .modal-content {
                padding: 10px;

                .modal-header {
                    padding: 15px;
                }

                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }

                .modal-footer {
                    padding: 0px 15px 15px 15px;

                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }

        &.uploadFile {
            .modal-dialog {
                width: auto;
            }
        }

        &.menu_category {
            .modal-dialog {
                .modal-content {
                    .modal-header {
                        padding: 15px;
                        margin-bottom: 15px;
                    }
                }
            }

            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 30px;
                        }
                    }
                }
            }
        }

        &.booking_view_modal {
            .modal-dialog {
                width: 100%;

                .modal-content {
                    .modal-header {
                        .modal-title {
                            font-size: 20px;
                        }

                        .btn-close {
                            margin-top: -20px;
                            margin-right: -5px;
                        }
                    }

                    .modal-body {
                        .booking_view_body {
                            padding-bottom: 50px;

                            .bview_area {
                                padding-top: 20px;

                                &.booking_vleft {
                                    border-right: 0px;
                                    margin-bottom: 10px;
                                }

                                h6 {
                                    padding-bottom: 20px;
                                }
                            }
                        }
                    }
                }
            }
        }

        &.membership_plan {
            .modal-dialog {
                .modal-content {
                    .modal-body {
                        .items_detail_area {
                            .item {
                                .plans_ment {
                                    .desp {
                                        p {
                                            padding-top: 40px;
                                            font-size: 14px;
                                        }
                                    }

                                    .detail_area {
                                        p {
                                            font-size: 14px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        &.actived {
            .modal-dialog {
                width: 450px;

                .modal-content {
                    .image {
                        margin-top: -11px;

                        img {
                            background-color: $red;
                            padding: 10px 23px;
                        }
                    }
                }
            }
        }

        &.change_home {
            padding-top: 130px;

            .modal-dialog {
                width: 560px;

                .modal-content {
                    padding: 0px;

                    .modal-header {
                        h5 {
                            font-size: 22px;

                        }

                        .btn-close {
                            height: 40px;
                            width: 40px;
                            font-size: 20px;
                            border-radius:12px;
                        }
                    }

                    .modal-body {
                        .credit_detail {
                            .form-group {
                                padding-top: 10px;
                                padding-left: 0px;

                                .form-control {

                                    font-size: 14px;
                                    padding-right: 10px;
                                }

                                label {
                                    font-size: 14px;
                                    padding-bottom: 10px;
                                }

                                .form_icon {

                                    .icon_area {

                                        padding-top: 14px;
                                        padding-right: 24px;

                                        i {
                                            font-size: 18px;
                                        }
                                    }
                                }


                                p {
                                    margin-left: 10px;
                                    font-size: 14px;
                                    padding-top: 10px;
                                }
                            }
                        }
                    }

                    .modal-footer {
                        .view {
                            padding-top: 20px;

                            a {
                                &.btn-primary-1 {
                                    width: 160px;
                                    height: 55px;
                                    line-height: 56px;
                                }
                            }

                        }
                    }
                }
            }
        }

        &.membership_planss {
            .modal-dialog {
                .modal-content {
                    .modal-header{
                        .btn-close{
                            margin-top: -20px;
                            margin-right: -20px;
                            width: 40px;
                            height: 40px;
                            border-radius: 15px;
                        }
                    }
                    .modal-body {
                        .items_detail_area {
                            .item {
                                .plans_ment {
                                    .desp {
                                        p {
                                            padding-top: 40px;
                                            font-size: 14px;
                                        }
                                    }
                                    h5{
                                        padding-bottom: 18px;
                                    }
                                    h4{
                                        padding-top: 18px;
                                        font-size:18px;
                                    }
                                    .detail_area {
                                        padding-top: 10px;
                                        .button{
                                            padding: 6px 0px;
                                        }
                                        h6{
                                            padding: 10px 0px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .el_modal {
        .modal-dialog {
            width: auto;

            .modal-content {
                padding: 10px;

                .modal-header {
                    padding: 15px;
                }

                .modal-body {
                    padding-left: 15px;
                    padding-right: 15px;
                }

                .modal-footer {
                    padding: 0px 15px 15px 15px;

                    .btn {
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }

        &.uploadFile {
            .modal-dialog {
                width: auto;
            }
        }

        &.menu_category {
            .modal-dialog {
                .modal-content {
                    .modal-header {
                        padding: 15px;
                        margin-bottom: 15px;
                    }
                }
            }

            &.add_menu_modal {
                .modal-dialog {
                    .modal-content {
                        .modal-footer {
                            margin-top: 30px;
                        }
                    }
                }
            }
        }

        &.booking_view_modal {
            .modal-dialog {
                width: 100%;

                .modal-content {
                    .modal-header {
                        .modal-title {
                            font-size: 20px;
                        }

                        .btn-close {
                            margin-top: -20px;
                            margin-right: -5px;
                        }
                    }

                    .modal-body {
                        .booking_view_body {
                            padding-bottom: 50px;

                            .bview_area {
                                padding-top: 20px;

                                &.booking_vleft {
                                    border-right: 0px;
                                    margin-bottom: 10px;
                                }

                                h6 {
                                    padding-bottom: 20px;
                                }
                            }
                        }
                    }
                }
            }
        }

        &.membership_plan {
            .modal-dialog {
                .modal-content {
                    .plan_gb {
                        height: 60px;
                        width: 130px;
                    }
                }
            }
        }
        &.membership_planss {
            .modal-dialog {
                .modal-content {
                    .modal-header{
                        .btn-close {
                            margin-top: -21px;
                            margin-right: -21px;
                        }
                    } 
                }
            }
        }
    }
}